precision mediump float;
varying vec2 v_texCoord;
uniform sampler2D s_texture;

 // number of colors the display can show
const float colors = 256.0;

void main()                                            
{
	vec3 ink = vec3(0.32, 0.50, 0.0);  
	vec3 c11 = texture2D(s_texture, v_texCoord.xy).xyz;
	float lct = floor(colors*length(c11))/colors;

	gl_FragColor = vec4(lct*ink,1);
}
 
 