precision mediump float;
varying vec2 v_texCoord;
uniform sampler2D s_texture;

void main()                                            
{
   vec4 Color = texture2D( s_texture, v_texCoord.xy );
   float Sharpenfactor = 30.0; //Make this between 10 and 50;

   Color -= texture2D( s_texture, v_texCoord.xy+0.0001)*Sharpenfactor;
   Color += texture2D( s_texture, v_texCoord.xy-0.0001)*Sharpenfactor;

   Color.a = 1.0;
   
   gl_FragColor = Color;
}
 
 